/*
    Hexagon grid as main menu
*/

.main-menu li {
    position: relative;
    list-style: none;
    margin: 0 auto;
    display: block;
    height: 12.5em;
    width: 11em;
}

.main-menu li a::before,
.main-menu li:empty::before {
    transition: opacity 1s ease;
    transform: rotate(30deg);
    pointer-events: none;
    line-height: 0.6em;
    position: absolute;
    content: '\2B22';
    font-size: 16em;
    left: -0.125em;
    color: #8bc34a;
    width: 100%;
    height: 100%;
    top: 0;
}

.main-menu li a span {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 11em;
    margin-left: -5.5em;
    margin-top: 0.5em;
    font-family: electrified, san-serif;
    text-align: center;
    color: #333;
    text-decoration: none;
}

.main-menu li:empty {
    display: none;
}

@media (min-width: 42em) {
    .main-menu li {
        display: inline-block;
    }

    .main-menu a:hover::before {
        opacity: 0.5;
    }

    .main-menu a:active::before {
        color: #5677fc;
    }

    .main-menu li:nth-child(even) {
        top: 6.25em;
    }

    .main-menu li:empty {
        display: inline-block;
        opacity: 0.25;
    }

}

@media (min-width: 62em) {
    main {
        font-size: 1em;
    }
}

main {
    position: relative;
    margin: 0 auto;
    width: 61em;
}